
From: Max Asbock <masbock@us.ibm.com>

First of a series of patches for the ibmasm driver.  (that is the driver for
the IBM xSeries RSA service processor)

To summarize what they do:

[1] change a #define for the buffer size for commands

[2] Fix a bug where threads in the event handling code calling
    wait_event_interruptible() weren't woken up as expected.

[3] Redesigned how remote mouse and keyboard events received by the driver
    are handled.  

[4] Fixed a race in the command reference counting logic.


This patch:

- change a #define for the buffer size for commands

Signed-off-by: Max Asbock <masbock@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/misc/ibmasm/ibmasm.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/misc/ibmasm/ibmasm.h~ibmasm-driver-fix-command-buffer-size drivers/misc/ibmasm/ibmasm.h
--- 25/drivers/misc/ibmasm/ibmasm.h~ibmasm-driver-fix-command-buffer-size	2005-06-16 14:29:07.000000000 -0700
+++ 25-akpm/drivers/misc/ibmasm/ibmasm.h	2005-06-16 14:29:07.000000000 -0700
@@ -52,7 +52,7 @@
 #define IBMASM_CMD_TIMEOUT_NORMAL	45
 #define IBMASM_CMD_TIMEOUT_EXTRA	240
 
-#define IBMASM_CMD_MAX_BUFFER_SIZE	0x4000
+#define IBMASM_CMD_MAX_BUFFER_SIZE	0x8000
 
 #define REVERSE_HEARTBEAT_TIMEOUT	120
 
_
